# Uses of Interface
org.eclipse.core.resources.IWorkspaceDescription

Packages that use IWorkspaceDescription
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.

## Uses of IWorkspaceDescription in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IWorkspaceDescription
Modifier and Type
Method
Description
`IWorkspaceDescription`
IWorkspace.`getDescription()`
Returns the workspace description.
Methods in org.eclipse.core.resources with parameters of type IWorkspaceDescription
Modifier and Type
Method
Description
`void`
IWorkspace.`setDescription(IWorkspaceDescription description)`
Sets the workspace description.